package com.teamchat.client.sdk.demo;

import com.teamchat.client.annotations.OnFileUpload;
import com.teamchat.client.annotations.Param;
import com.teamchat.client.sdk.TeamchatAPI;
import com.teamchat.client.utils.FileUploadDetails;

/**
 * This bot listens on the event stream for a file upload. 
 * When a file is uploaded it triggers the OnFileUpoad annotated methods.
 * 
 * 
 * Please remember to update the 2 parameter viz.  
 * bot, password. 
 */
public class ReceiveFileUpload {

	public static final String bot = "bot@teamchat.com";
	public static final String password = "botpwd";		

	public static void main (String... args){
		TeamchatAPI api = TeamchatAPI.fromFile("config.json")
			    .setEmail(bot) 
			    .setPassword(password) 
			    .startReceivingEvents(new ReceiveFileUpload());
			    
	}
	/**
	 * This method handles the File Upload Event.
	 * @param api
	 */
	@OnFileUpload
	public void caseSensitiveKeyword(TeamchatAPI api, @Param FileUploadDetails fileUploadDetails){
		System.out.println("Sucessfully received file upload event.");
		System.out.println(" File Mime: "+fileUploadDetails.getFileMime());
		System.out.println(" File Name: "+fileUploadDetails.getFileName());
		System.out.println(" File Size: "+fileUploadDetails.getFileSize());
		System.out.println(" File Url: "+fileUploadDetails.getFileUrl());
		
	}
}
