package com.teamchat.client.sdk.demo;

import com.teamchat.client.annotations.OnKeyWordWithParam;
import com.teamchat.client.annotations.Param;
import com.teamchat.client.sdk.TeamchatAPI;

/**
 * This bot listens on the event stream for a keyword call TesT. 
 * Any text message that begins with test will be caught and will
 * result in printing out the success message.
 * 
 * 
 * Please remember to update the 2 parameter viz.  
 * bot, password. 
 */
public class RecieveOnKeywordWithParams {
	public static final String bot = "bot@teamchat.com";
	public static final String password = "botpwd";	

	public static void main (String... args){
		TeamchatAPI api = TeamchatAPI.fromFile("config.json")
			    .setEmail(bot) 
			    .setPassword(password) 
			    .startReceivingEvents(new RecieveOnKeywordWithParams());
			    
	}
	/**
	 * This method handles the case sensitive keyword.
	 * @param api
	 */
	@OnKeyWordWithParam(isCaseSensitive=true, value = "TesT", delimiter=" ")
	public void caseSensitiveKeyword(@Param String param,TeamchatAPI api){
		System.out.println("Sucessfully triggered case sensitive keyword.");
		System.out.println("Recieved Value :"+param);
	}
	/**
	 * This method handles the case insensitive keyword.
	 * @param api
	 */
	@OnKeyWordWithParam(value = "TesT")
	public void caseInSensitiveKeyword(TeamchatAPI api,@Param String param){
		System.out.println("Sucessfully triggered case insensitive keyword.");
		System.out.println("Recieved Value :"+param);
	}
}
